<?php

namespace DistributeHelper;

use Composer\Script\Event;
use Composer\Installer\PackageEvent;
use DistributeHelper\PackageClass;
error_reporting(E_ALL & ~E_NOTICE);

class HelperClass
{
    public static function postUpdate(Event $event)
    {
        $vendorDir = $event->getComposer()->getConfig()->get('vendor-dir');
		PackageClass::index($vendorDir,"");
		print("---postUpdate finished---");
    }

    public static function postAutoloadDump(Event $event)
    {
        $vendorDir = $event->getComposer()->getConfig()->get('vendor-dir');
        require $vendorDir . '/autoload.php';
        some_function_from_an_autoloaded_file();
    }

    public static function postPackageInstall(PackageEvent $event)
    {      
		$vendorDir = $event->getComposer()->getConfig()->get('vendor-dir');
		$package = $event->getOperation()->getPackage();
		PackageClass::index($vendorDir, $package->getName());
    }

    public static function postPackageUpdate(PackageEvent $event)
    {
		$vendorDir = $event->getComposer()->getConfig()->get('vendor-dir');
		$package = $event->getOperation()->getPackage();
		PackageClass::index($vendorDir, $package->getName());
    }
	
}